__version__ = '0.1.0'

class Sprite:
  def __init__(self, x, y, **variables):
    self.__x = x
    self.__y = y 
    
    for key, value in variables.items():
      setattr(self, key, value)

  def translate(self, x, y):
    self.__x += x
    self.__y -= y 

  def set(self, name):
    setattr(self, str(name))
  
  def get(self, name):
    return(getattr(self, str(name)))

  def add_method(self, method, method_name):
    setattr(self, method_name, method)

  def clone(self, x, y, **variable):
    return(Sprite(x, y, **variable.items()))